<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>PID</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    PIC
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/setting/picanggaran/save}" th:object="${picAnggaran}" method="post">
                    <div class="card">
                        <div class="card-body">


                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Department</label>
                                <select class="form-select" id="selectsatu" name="departemen" th:field="*{departemen}" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${departemen}"
                                            th:text="${'('+ data.kodeDepartemen +')'  + '       -       ' +  data.namaDepartemen}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <div class="mb-3">
                                <label for="selectdua" class="form-label">PIC</label>
                                <select class="form-select" id="selectdua" name="karyawan" th:field="*{karyawan}" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${karyawan}"
                                            th:text="${data.namaKaryawan}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <input type="hidden" name="periodeAnggaran" th:field="*{periodeAnggaran}">
                            <input type="hidden" name="jumlah" th:field="*{jumlah}">
                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/setting/picanggaran}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </main>

</main>

</body>
</html>


<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Title</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--        <h1>-->
<!--            PIC Anggaran-->
<!--            <small>Form</small>-->
<!--        </h1>-->
<!--        <ol class="breadcrumb">-->
<!--            <li class="treeview active"> Setting</li>-->
<!--            <li class="active"> PIC Anggaran</li>-->
<!--        </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--        <div class="row">-->

<!--            <div class="col-md-6">-->
<!--                &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--                <div class="box box-info">-->
<!--                    <div class="box-header with-border">-->
<!--                        <h3 class="box-title">Form PIC Anggaran</h3>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                    &lt;!&ndash; form start &ndash;&gt;-->
<!--                    <form class="form-horizontal" th:action="@{/setting/picanggaran/save}" th:object="${picAnggaran}" method="post">-->
<!--                        <div class="box-body">-->

<!--                            <div class="form-group">-->
<!--                                <label for="departemen" class="col-sm-2 control-label">Departemen</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                    <select class="form-control select2" name="departemen" th:field="*{departemen}" id="departemen" style="width: 100%;">-->
<!--                                        <option th:each="data : ${departemen}"-->
<!--                                                th:text="${'('+ data.kodeDepartemen +')'  + '       -       ' +  data.namaDepartemen}"-->
<!--                                                th:value="${data.id}">sdasd</option>-->
<!--                                    </select>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="form-group">-->
<!--                                <label for="karyawan" class="col-sm-2 control-label">PIC Anggaran</label>-->

<!--                                <div class="col-sm-10">-->
<!--                                    <select class="form-control select2" name="karyawan" th:field="*{karyawan}"  id="karyawan" style="width: 100%;">-->
<!--                                        <option th:each="data : ${karyawan}"-->
<!--                                                th:text="${data.namaKaryawan}"-->
<!--                                                th:value="${data.id}">sdasd</option>-->
<!--                                    </select>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <input type="hidden" name="periodeAnggaran" th:field="*{periodeAnggaran}">-->
<!--                            <input type="hidden" name="jumlah" th:field="*{jumlah}">-->
<!--                            <input type="hidden" name="id" th:field="*{id}">-->
<!--                        </div>-->
<!--                        &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                        <div class="box-footer">-->

<!--                            <a th:href="@{/setting/picanggaran}" class="btn btn-default">Cancel</a>-->
<!--                            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                        </div>-->
<!--                        &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                    </form>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->